%define with_knewsticker 1
%{?_with_knewsticker: %{expand: %%global with_knewsticker 1}}

Name: kdenetwork4
Version: 4.1.2
Release: %mkrel 2
Epoch: 3
Group: Development/KDE and Qt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary: K Desktop Environment - Network Applications
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdenetwork-%version.tar.bz2
Patch0: kdenetwork-4.0.84-fix-desktop-files.patch
Patch1: kdenetwork-4.0.85-kopete.patch
BuildRequires: kde4-macros
BuildRequires: qt4-devel
BuildRequires: freetype2-devel
BuildRequires: gettext
BuildRequires: kdelibs4-devel >= 4.0.83
BuildRequires: kdepimlibs4-devel >= 4.0.83
BuildRequires: kdebase4-workspace-devel >= 4.0.83
BuildRequires: libaudiofile-devel
BuildRequires: bzip2-devel
BuildRequires: jpeg-devel
BuildRequires: lcms-devel
BuildRequires: mng-devel
BuildRequires: png-devel
BuildRequires: libz-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libopenslp-devel
BuildRequires: libiw-devel
BuildRequires: wireless-tools
BuildRequires: libopenssl-devel
BuildRequires: libidn-devel
BuildRequires: libgsmlib-devel
BuildRequires: mesaglut-devel
BuildRequires: X11-devel
BuildRequires: libxtst-devel
BuildRequires: gmp-devel
BuildRequires: libotr-devel
BuildRequires: mDNSResponder-devel
BuildRequires: libvncserver-devel >= 0.8.2-%mkrel 3
BuildRequires: qca2-devel 
BuildRequires: boost-devel
BuildRequires: qimageblitz-devel
BuildRequires: sqlite3-devel
BuildRequires: decibel-devel
BuildRequires: telepathy-qt-devel
BuildRequires: tapioca-qt-devel
BuildRequires: qca2-devel
BuildRequires: webkitkde-devel
Requires: kdnssd
Requires: kget
%if %with_knewsticker
Requires: knewsticker
%endif
Requires: kopete
Requires: kppp
Requires: krdc
Requires: krfb
Requires: kde4-filesharing
Obsoletes: kde4-lanbrowsing

%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- knewsticker: RDF newsticker applet
- kpf: public fileserver applet
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package core
Summary: %name core files
Group: Graphical desktop/KDE
Requires: kdelibs4-core
Obsoletes: %{_lib}kdenetwork42 <=  2:3.91-0.683133.1
%if %mdkversion >= 200900
Conflicts: kdenetwork-knewsticker < 2:3.5.9-2
Conflicts: kdenetwork-kopete < 2:3.5.9-2
Conflicts: lisa < 2:3.5.9-2
%endif

%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*

#----------------------------------------------------------------------

%package -n kde4-filesharing
Summary: %{name} filesharing
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-filesharing < 2:3.93.0-0.714148.1

%description -n kde4-filesharing
%{name} filesharing.

%files -n kde4-filesharing
%defattr(-,root,root)
%_kde_libdir/kde4/fileshare_propsdlgplugin.so
%_kde_libdir/kde4/kcm_fileshare.so
%_kde_libdir/kde4/kcm_kcmsambaconf.so
%_kde_datadir/kde4/services/fileshare.desktop
%_kde_datadir/kde4/services/fileshare_propsdlgplugin.desktop
%_kde_datadir/kde4/services/kcmsambaconf.desktop
%_kde_datadir/kde4/services/ServiceMenus/smb2rdc.desktop

#---------------------------------------------

%package -n kdnssd
Summary:   %{name} kdnssd
Group:     Graphical desktop/KDE
Requires:  %name-core >= %epoch:%version
Obsoletes: %name-kdnssd < 2:3.93.0-0.714148.1
Obsoletes: kde4-lanbrowsing
Obsoletes: kde4-kdnssd < 3:4.0.68
Provides: kde4-kdnssd = %epoch:%version
Conflicts: kdenetwork-common < 2:3.5.9-2mdv

%description -n kdnssd
%{name} kdnssd.

%files -n kdnssd
%defattr(-,root,root)
%dir %_kde_appsdir/remoteview
%_kde_appsdir/remoteview/zeroconf.desktop
%_kde_libdir/kde4/kded_dnssdwatcher.so
%_kde_libdir/kde4/kio_zeroconf.so
%_kde_datadir/kde4/services/kded/dnssdwatcher.desktop
%_kde_datadir/kde4/services/zeroconf.protocol

#---------------------------------------------

%define libkgetcore %mklibname kgetcore 4

%package -n %libkgetcore
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkgetcore
KDE 4 library

%if %mdkversion < 200900
%post -n %libkgetcore -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkgetcore -p /sbin/ldconfig
%endif

%files -n %libkgetcore
%defattr(-,root,root)
%_kde_libdir/libkgetcore.so.*

#---------------------------------------------

%if %{with_knewsticker}

%package -n knewsticker
Summary: %{name} knewsticker
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-knewsticker < 2:3.93.0-0.714148.1
Obsoletes: kde4-knewsticker < 3:4.0.68
Provides: kde4-knewsticker = %epoch:%version

%description -n knewsticker
Knewsticker: RDF newsticker applet

%files -n knewsticker
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_knewsticker.so
%_kde_datadir/kde4/services/plasma-knewsticker-default.desktop
%_kde_docdir/HTML/*/knewsticker
%endif

#---------------------------------------------

%package -n kget
Summary: %{name} kget
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-kget < 2:3.93.0-0.714148.1
Obsoletes: %{_lib}kdenetwork42-kget <=  2:3.91-0.683133.1
Obsoletes: kde4-kget < 3:4.0.68
Provides: kde4-kget = %epoch:%version

%description -n kget
An advanced download manager for KDE.

%files -n kget
%defattr(-,root,root)
%_kde_bindir/kget
%dir %_kde_appsdir/kget
%_kde_appsdir/kget/*
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/khtml_kget.so
%_kde_libdir/kde4/plasma_applet_kget.so
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_datadir/kde4/services/plasma-engine-kget.desktop
%_kde_datadir/kde4/services/plasma-kget-default.desktop
%_kde_datadir/applications/kde4/kget.desktop
%_kde_datadir/kde4/services/ServiceMenus/kget_download.desktop
%_kde_datadir/config.kcfg/kget*
%_kde_datadir/kde4/services/kget_*
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/webkitpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/desktoptheme/default/widgets/kget.svg
%_kde_docdir/HTML/*/kget

#---------------------------------------------

%package -n kopete
Summary: %{name} kopete
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-kopete < 2:3.93.0-0.714148.1
Obsoletes: %{_lib}papillon_kopete < 2:3.96.0-0.737162.1
Conflicts: %name-devel < 3:3.96.1-0.740247.1
Obsoletes: kde4-kopete < 3:4.0.68
Provides: kde4-kopete = %epoch:%version
# Provides TLS access to gtalk
Requires: qca2-plugin-openssl-%{_lib}

%description -n kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.

%files -n kopete
%defattr(-,root,root)
%_kde_appsdir/kconf_update/kopete-*
%_kde_bindir/kopete
%_kde_bindir/kopete_latexconvert.sh
%_kde_bindir/winpopup-install.sh
%_kde_bindir/winpopup-send.sh
%_kde_libdir/kde4/kcm_kopete_*
%_kde_libdir/kde4/kopete_*
%_kde_libdir/libqgroupwise.so
%_kde_libdir/kde4/libkrichtexteditpart.so
%_kde_datadir/applications/kde4/kopete.desktop
%_kde_datadir/config/kopeterc
%_kde_datadir/config.kcfg/historyconfig.kcfg
%_kde_datadir/config.kcfg/kopeteappearancesettings.kcfg
%_kde_datadir/config.kcfg/kopetebehaviorsettings.kcfg
%_kde_datadir/config.kcfg/latexconfig.kcfg
%_kde_datadir/config.kcfg/nowlisteningconfig.kcfg
%_kde_datadir/kde4/services/aim.protocol
%_kde_datadir/kde4/services/chatwindow.desktop
%_kde_datadir/kde4/services/emailwindow.desktop
%_kde_datadir/kde4/services/kconfiguredialog/kopete_*
%_kde_datadir/kde4/services/kopete_*
%_kde_datadir/kde4/services/xmpp.protocol
%_kde_datadir/kde4/servicetypes/kopete*
%_kde_datadir/sounds/Kopete_Event.ogg
%_kde_datadir/sounds/Kopete_Received.ogg
%_kde_datadir/sounds/Kopete_Sent.ogg
%_kde_datadir/sounds/Kopete_User_is_Online.ogg
%dir %_kde_appsdir/kopete
%_kde_appsdir/kopete/*
%dir %_kde_appsdir/kopete_contactnotes
%_kde_appsdir/kopete_contactnotes/*
%dir %_kde_appsdir/kopete_history
%_kde_appsdir/kopete_history/*
%dir %_kde_appsdir/kopete_jabber
%_kde_appsdir/kopete_jabber/*
%dir %_kde_appsdir/kopete_latex
%_kde_appsdir/kopete_latex/*
%dir %_kde_appsdir/kopete_msn
%_kde_appsdir/kopete_msn/*
%dir %_kde_appsdir/kopete_privacy
%_kde_appsdir/kopete_privacy/*
%dir %_kde_appsdir/kopete_statistics
%_kde_appsdir/kopete_statistics/*
%dir %_kde_appsdir/kopete_translator
%_kde_appsdir/kopete_translator/*
%dir %_kde_appsdir/kopete_yahoo
%_kde_appsdir/kopete_yahoo/*
%dir %_kde_appsdir/kopeterichtexteditpart
%_kde_appsdir/kopeterichtexteditpart/*
%dir %_kde_appsdir/kopete_groupwise
%_kde_appsdir/kopete_groupwise/*
%_kde_datadir/config.kcfg/urlpicpreview.kcfg
%_kde_docdir/HTML/*/kopete

#---------------------------------------------

%define libgadu_kopete %mklibname gadu_kopete 1

%package -n %libgadu_kopete
Summary: KDE 4 library
Group: System/Libraries

%description -n %libgadu_kopete
KDE 4 library

%if %mdkversion < 200900
%post -n %libgadu_kopete -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libgadu_kopete -p /sbin/ldconfig
%endif

%files -n %libgadu_kopete
%defattr(-,root,root)
%_kde_libdir/libgadu_kopete.so.*

#---------------------------------------------

%define libkyahoo %mklibname kyahoo 1

%package -n %libkyahoo
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkyahoo
KDE 4 library

%if %mdkversion < 200900
%post -n %libkyahoo -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkyahoo -p /sbin/ldconfig
%endif

%files -n %libkyahoo
%defattr(-,root,root)
%_kde_libdir/libkyahoo.so.*

#---------------------------------------------

%define libkopete_videodevice %mklibname kopete_videodevice 4

%package -n %libkopete_videodevice
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopete_videodevice
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopete_videodevice -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopete_videodevice -p /sbin/ldconfig
%endif

%files -n %libkopete_videodevice
%defattr(-,root,root)
%_kde_libdir/libkopete_videodevice.so.*

#---------------------------------------------

%define libkopeteaddaccountwizard %mklibname kopeteaddaccountwizard 1

%package -n %libkopeteaddaccountwizard
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteaddaccountwizard
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopeteaddaccountwizard -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopeteaddaccountwizard -p /sbin/ldconfig
%endif

%files -n %libkopeteaddaccountwizard
%defattr(-,root,root)
%_kde_libdir/libkopeteaddaccountwizard.so.*

#---------------------------------------------

%define libkopete %mklibname kopete 4

%package -n %libkopete
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: %{_lib}kopete5 < 2:3.91-0.689748.1

%description -n %libkopete
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopete -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopete -p /sbin/ldconfig
%endif

%files -n %libkopete
%defattr(-,root,root)
%_kde_libdir/libkopete.so.*
%_kde_datadir/config.kcfg/kopetestatussettings.kcfg

#---------------------------------------------

%define libkopeteprivacy %mklibname kopeteprivacy 1

%package -n %libkopeteprivacy
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteprivacy
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopeteprivacy -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopeteprivacy -p /sbin/ldconfig
%endif

%files -n %libkopeteprivacy
%defattr(-,root,root)
%_kde_libdir/libkopeteprivacy.so.*

#---------------------------------------------

%define libkopetechatwindow_shared %mklibname kopetechatwindow_shared 1

%package -n %libkopetechatwindow_shared
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopetechatwindow_shared
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopetechatwindow_shared -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopetechatwindow_shared -p /sbin/ldconfig
%endif

%files -n %libkopetechatwindow_shared
%defattr(-,root,root)
%_kde_libdir/libkopetechatwindow_shared.so.*

#---------------------------------------------

%define libiris_kopete %mklibname iris_kopete 1

%package -n %libiris_kopete
Summary: KDE 4 library
Group: System/Libraries

%description -n %libiris_kopete
KDE 4 library

%if %mdkversion < 200900
%post -n %libiris_kopete -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libiris_kopete -p /sbin/ldconfig
%endif

%files -n %libiris_kopete
%defattr(-,root,root)
%_kde_libdir/libiris_kopete.so.*

#---------------------------------------------

%define libkopete_otr_shared %mklibname kopete_otr_shared 1

%package -n %libkopete_otr_shared
Summary: KDE 4 library
Group: System/Libraries
Conflicts: kopete-otr < 0.8

%description -n %libkopete_otr_shared
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopete_otr_shared -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopete_otr_shared -p /sbin/ldconfig
%endif

%files -n %libkopete_otr_shared
%defattr(-,root,root)
%_kde_libdir/libkopete_otr_shared.so.*
%dir %_kde_appsdir/kopete_otr
%_kde_appsdir/kopete_otr/*
%_kde_datadir/config.kcfg/kopete_otr.kcfg

#---------------------------------------------

%define libkopetestatusmenu %mklibname kopetestatusmenu 1

%package -n %libkopetestatusmenu
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopetestatusmenu
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopetestatusmenu -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopetestatusmenu -p /sbin/ldconfig
%endif

%files -n %libkopetestatusmenu
%defattr(-,root,root)
%_kde_libdir/libkopetestatusmenu.so.*

#---------------------------------------------

%define libkopete_oscar %mklibname kopete_oscar 4

%package -n %libkopete_oscar
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopete_oscar
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopete_oscar -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopete_oscar -p /sbin/ldconfig
%endif

%files -n %libkopete_oscar
%defattr(-,root,root)
%_kde_libdir/libkopete_oscar.so.*

#---------------------------------------------

%define libkopete_msn_shared %mklibname kopete_msn_shared 4

%package -n %libkopete_msn_shared
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: %{_lib}kopete_msn_shared5 < 2:3.91-0.689748.1

%description -n %libkopete_msn_shared
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopete_msn_shared -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopete_msn_shared -p /sbin/ldconfig
%endif

%files -n %libkopete_msn_shared
%defattr(-,root,root)
%_kde_libdir/libkopete_msn_shared.so.*

#---------------------------------------------

%define liboscar %mklibname oscar 1

%package -n %liboscar
Summary: KDE 4 library
Group: System/Libraries

%description -n %liboscar
KDE 4 library

%if %mdkversion < 200900
%post -n %liboscar -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %liboscar -p /sbin/ldconfig
%endif

%files -n %liboscar
%defattr(-,root,root)
%_kde_libdir/liboscar.so.*

#---------------------------------------------

%define libkopeteidentity %mklibname kopeteidentity 1

%package -n %libkopeteidentity
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteidentity
KDE 4 library

%if %mdkversion < 200900
%post -n %libkopeteidentity -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkopeteidentity -p /sbin/ldconfig
%endif

%files -n %libkopeteidentity
%defattr(-,root,root)
%_kde_libdir/libkopeteidentity.so.*

#---------------------------------------------

%package -n kppp
Summary: %{name} kppp
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Requires: ppp
Obsoletes: %name-kppp < 2:3.93.0-0.714148.1
Obsoletes: kde4-kppp < 3:4.0.68
Provides: kde4-kppp = %epoch:%version

%description -n kppp
%{name} kppp.

%files -n kppp
%defattr(-,root,root)
%_kde_appsdir/kppp
%_kde_bindir/kppp
%_kde_bindir/kppplogview
%_kde_datadir/applications/kde4/Kppp.desktop
%_kde_datadir/applications/kde4/kppplogview.desktop
%_kde_docdir/HTML/*/kppp
%exclude %_kde_appsdir/kppp/Rules
%exclude %_kde_appsdir/kppp/Provider

#-----------------------------------------------------------

%package -n kppp-provider
Group: Graphical desktop/KDE
Summary: List of providers for pppd
Conflicts: kppp < 3:4.0.83-2

%description -n kppp-provider
List of providers for kppp

%files -n kppp-provider
%defattr(-,root,root,-)
%_kde_appsdir/kppp/Rules
%_kde_appsdir/kppp/Provider

#---------------------------------------------

%package -n krdc
Summary: %{name} krdc
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-krdc < 2:3.93.0-0.714148.1
Obsoletes: kde4-krdc < 3:4.0.68
Provides: kde4-krdc = %epoch:%version

%description -n krdc
KDE Desktop Sharing allows you to invite somebody at a remote
location to watch and possibly control your desktop.

%files -n krdc
%defattr(-,root,root)
%_kde_bindir/krdc
%dir %_kde_appsdir/krdc
%_kde_appsdir/krdc/krdcui.rc
%_kde_appsdir/krdc/pics/*.png
%_kde_datadir/applications/kde4/krdc.desktop
%_kde_datadir/config.kcfg/krdc.kcfg
%_kde_datadir/kde4/services/rdp.protocol
%_kde_datadir/kde4/services/vnc.protocol
%_kde_docdir/HTML/*/krdc

#---------------------------------------------

%package -n krfb
Summary: %{name} krfb
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-krfb < 2:3.93.0-0.714148.1
Obsoletes: kde4-krfb < 3:4.0.68
Provides: kde4-krfb = %epoch:%version

%description -n krfb
KDE Desktop Sharing allows you to invite somebody at a remote
location to watch and possibly control your desktop.

%files -n krfb
%defattr(-,root,root)
%_kde_bindir/krfb
%dir %_kde_appsdir/krfb
%_kde_appsdir/krfb/krfb.notifyrc
%_kde_datadir/applications/kde4/krfb.desktop
%_kde_docdir/HTML/*/krfb

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %libkgetcore >= %version
Requires: %libgadu_kopete >= %version
Requires: %libkyahoo >= %version
Requires: %libkopete_videodevice >= %version
Requires: %libkopeteaddaccountwizard >= %version
Requires: %libkopete >= %version
Requires: %libkopeteprivacy >= %version
Requires: %libkopetechatwindow_shared >= %version
Requires: %libiris_kopete >= %version
Requires: %libkopete_oscar >= %version
Requires: %libkopete_msn_shared >= %version
Requires: %liboscar >= %version

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%exclude %_kde_libdir/libqgroupwise.so
%_kde_includedir/*
%_kde_datadir/dbus-1/interfaces/*

#-------------------------------------------

%prep
%setup -q -n kdenetwork-%version
%patch0 -p0
%patch1 -p1

%build
%cmake_kde4 -DWITH_qq=OFF 

%make


%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot




%changelog
* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 3:4.1.2-2mdv2009.0
+ Revision: 290848
- Add conflicts to ease upgrade from Mdv 2008.1

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.2-1mdv2009.0
+ Revision: 288231
- KDE 4.1.2 arriving.

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.1-3mdv2009.0
+ Revision: 280883
- At first sight backporting kopete looks like a goos idea, but current issue, like protocol modifications and a lack of upstrema support due invalid backtraces show that we should stay with current 4.1.1 official version, even with some features missing. Going to safe net.

* Wed Sep 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.1.1-2mdv2009.0
+ Revision: 279944
- Use Kopete from trunk

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.1-1mdv2009.0
+ Revision: 277823
- Upgrade to forthcoming 4.1.1 packages

  + Funda Wang <fundawang@mandriva.org>
    - do not build qq protocal, for it is not working now.
    - requires ppp

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-4mdv2009.0
+ Revision: 263302
- Update with current branch 4.1 patches

* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3:4.1.0-3mdv2009.0
+ Revision: 258581
- Added kdenetwork-4.0.85-kopete.patch from libv4l.

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-2mdv2009.0
+ Revision: 251666
- Update with Release Candidate 1 - 4.1.0
- Update with Release Candidate 1 - 4.1.0

* Mon Jul 21 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.98-2mdv2009.0
+ Revision: 239568
- Add patch1 that Find media players that were started after the plugin was created

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.98-1mdv2009.0
+ Revision: 233186
- Update with Release Candidate 1 - 4.0.98

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Kppp menu entry ( KDE menu cleaning task)

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.85-1mdv2009.0
+ Revision: 232465
- New version kde 4.0.85

* Tue Jul 01 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.84-2mdv2009.0
+ Revision: 230422
- Add patch0 to fix menu entries of Kppp krfb and kget

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.84-1mdv2009.0
+ Revision: 229412
- Update with new snapshot tarballs 4.0.84
- Remove patch since is already included in upcoming 4.0.84

* Thu Jun 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.83-4mdv2009.0
+ Revision: 229363
- Add patch1: Do not call postNewEvent if events are not to be appended.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Wrong conflicts for 2008.1 and lower

* Tue Jun 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.83-2mdv2009.0
+ Revision: 228657
- Add epoch in conflicts
- Add kppp-provider package

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.83-1mdv2009.0
+ Revision: 226125
- Update with new snapshot tarballs 4.0.83

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.82-1mdv2009.0
+ Revision: 218028
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Funda Wang <fundawang@mandriva.org>
    - conflicts with kopete-otr

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.81-1mdv2009.0
+ Revision: 214716
- Update with new snapshot tarballs 4.0.81

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.80-1mdv2009.0
+ Revision: 210786
- New upstream kde4 4.1 beta1

* Mon May 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.74-2mdv2009.0
+ Revision: 209218
- Fix descriptions of subpackages

* Fri May 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.74-1mdv2009.0
+ Revision: 208236
- Versionnate BuildRequires

  + Funda Wang <fundawang@mandriva.org>
    - New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-2mdv2009.0
+ Revision: 207177
- Add old kde3 conflicts for smooth upgrade

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix typo on file list
    - Fix File list
    - Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.72-2mdv2009.0
+ Revision: 202607
- Fix BuildRequire
- Remove patch0 (unneeded )
- Update to kde 4.0.72
- Add webkitkde as buildrequire
  Fix file list
- Fix file list
- New snapshot 4.0.70
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE vi kdenetwork4/SPECS/kdenetwork4.spec ;-)

* Wed Apr 02 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.3-2mdv2008.1
+ Revision: 191545
- Add upstream patch to fix a segfault in kopete

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.3-1mdv2008.1
+ Revision: 190990
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.2-2mdv2008.1
+ Revision: 182253
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.2-1mdv2008.1
+ Revision: 177443
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.1-1mdv2008.1
+ Revision: 164806
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Tue Jan 08 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.0-1mdv2008.1
+ Revision: 146897
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.752200.1mdv2008.1
+ Revision: 137400
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.746684.2mdv2008.1
+ Revision: 117080
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.743004.2mdv2008.1
+ Revision: 114093
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.740247.2mdv2008.1
+ Revision: 111926
- Obsoletes libkdenetwork42

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.740247.1mdv2008.1
+ Revision: 111504
- New Snapshot
  Move libqgroupwise.so from devel package to kopete one (Bug #35740)
- Add Obsoletes for libkdenetwork42-kget libkopete5 and libkopete_msn_shared5 (Bug #35188)

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.0-0.737162.1mdv2008.1
+ Revision: 109176
- KDE4 Rc1
  libpapillon_kopete have been removed

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.2-0.734821.1mdv2008.1
+ Revision: 107583
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.1-0.732092.1mdv2008.1
+ Revision: 105411
- New Snapshot
- Fix file list
- New snapshot post Rc1
- Fix file list
- add back missing patch
- New snashot
- Activate Kopete again

  + Funda Wang <fundawang@mandriva.org>
    - should be sqlite3 instead of sqlite2

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.729249.2mdv2008.1
+ Revision: 102140
- Add conflict to ease upgrade

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.729249.1mdv2008.1
+ Revision: 102071
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.728807.1mdv2008.1
+ Revision: 101874
- Add BuildRequire
- Fix file list
- Fix patch fo the build without kopete
- New svn snapshot
- Fix file list ( remove duplicate files)

* Fri Oct 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.0-0.726703.1mdv2008.1
+ Revision: 100228
- Fix Buildrequires
- Fix BuildRequires
- Kde 4 beta3
  Fix file list

* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:3.93.0-0.714148.1mdv2008.0
+ Revision: 91909
- update svn snapshot
- make all obsoletes tags versioned
- bump epoch to fix revision number

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 713092

* Thu Sep 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.93.0-2mdv2008.0
+ Revision: 85042
- Fix build when we do not package kopete
- New svn snapshot of beta3
- Add Decibel as buildrequires for kopete

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update to revision 695413
    - Updated to revision 694391
    - Cleanup whole specfile.
    - Put back providers inside kppp package ( never understood why are separated )
    - Killed independent devel packages, one devel package to rule then all
    - Reenabled qca2
    - Update to revision 689748

* Wed Jul 04 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.91-0.683133.1mdv2008.0
+ Revision: 48119
- New snapshot

* Sun Jul 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2:3.91-0.680437.1mdv2008.0
+ Revision: 46800
- Fix File List
- start to port spec file to the new kde layout

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 2:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25913
- new snapshot

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 2:3.80.3-0.20070502.3mdv2008.0
+ Revision: 21556
- new snapshot
- Necessary to use good version (header pb with c++)
- Fix buildrequires
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.3mdv2007.1
+ Revision: 141316
- new snapshot
- new snapshot
- Fix spec file
- Resumit it
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- Fix spec files
- new snapshot
- new snapshot
- update
- Fix group
- Rename to lisa4

* Tue Jan 09 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 106464
- Update
- Clean up
- Import kdenetwork4

* Mon Nov 06 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-6mdv2007.0
- First package

